<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>Loading data from PostgreSQL in Select2 with PHP</title>

	<link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css" rel="stylesheet" />
</head>
<body>

	<select id='selUser' style='width: 200px;'>
	 	<option value='0'>- Search user -</option>
	</select>

	<!-- Script -->
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
	<script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>
	<script type="text/javascript">
	$(document).ready(function(){

	 	$("#selUser").select2({
	  		ajax: { 
	   			url: "ajaxfile.php",
	   			type: "post",
	   			dataType: 'json',
	   			delay: 250,
	   			data: function (params) {
	    			return {
	      				searchTerm: params.term // search term
	    			};
	   			},
	   			processResults: function (response) {
	     			return {
	        			results: response
	     			};
	   			},
	   			cache: true
	  		}
	 	});
	});
	</script>
</body>
</html>